### Function

# Camel getaddrinfo

since: 2.22

#### Declaration [src]

    addrinfo*
    camel_getaddrinfo (
      const gchar* name,
      const gchar* service,
      const addrinfo* hints,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Resolves a host `name` and returns an information about its address.

Available since: 2.22

#### Parameters

`name`

  Type: `const gchar*`

  An address name to resolve.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`service`

  Type: `const gchar*`

  A service name to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`hints`

  Type: `const addrinfo*`

  An #addrinfo hints, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `addrinfo*`

A newly allocated #addrinfo. Free it with `camel_freeaddrinfo()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.